package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 违法行为档案对象 t_gas_illegal
 * 
 * @author zehong
 * @date 2026-03-19
 */
public class TGasIllegal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 档案id */
    private Long illegalId;

    /** 企业id */

    private String beyondEnterpriseId;
    @Excel(name = "企业")
    private String enterpriseName;

    /** 违法标题 */
    @Excel(name = "违法标题")
    private String illegalTitle;

    /** 违法内容 */
    @Excel(name = "违法内容")
    private String content;

    /** 违法人员 */
    @Excel(name = "违法人员")
    private String people;

    /** 违法时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "违法时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date illegalTime;

    /** 处罚结果 */
    @Excel(name = "处罚结果")
    private String penalty;

    /** 档案附件 */
    @Excel(name = "档案附件")
    private String fileUrl;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public void setIllegalId(Long illegalId)
    {
        this.illegalId = illegalId;
    }

    public Long getIllegalId() 
    {
        return illegalId;
    }
    public void setBeyondEnterpriseId(String beyondEnterpriseId) 
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseId() 
    {
        return beyondEnterpriseId;
    }
    public void setIllegalTitle(String illegalTitle) 
    {
        this.illegalTitle = illegalTitle;
    }

    public String getIllegalTitle() 
    {
        return illegalTitle;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setPeople(String people) 
    {
        this.people = people;
    }

    public String getPeople() 
    {
        return people;
    }
    public void setIllegalTime(Date illegalTime) 
    {
        this.illegalTime = illegalTime;
    }

    public Date getIllegalTime() 
    {
        return illegalTime;
    }
    public void setPenalty(String penalty) 
    {
        this.penalty = penalty;
    }

    public String getPenalty() 
    {
        return penalty;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("illegalId", getIllegalId())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("illegalTitle", getIllegalTitle())
            .append("content", getContent())
            .append("people", getPeople())
            .append("illegalTime", getIllegalTime())
            .append("penalty", getPenalty())
            .append("fileUrl", getFileUrl())
            .append("createTime", getCreateTime())
            .toString();
    }
}
